% Scalar Bi-linear interpolation function: f(x,y) = f(k,b), bonds are
% vertical and capitals are horizontal
% Scalar and only takes as input the rectangle
% (C.) Enrique G. Mendoza & Sergio Villalvazo, 2018
function [fX] = fBiLinearInterpolation(kA, kB, bA, bC, fA, fB, fC, fD, kX, bX)
    

    p = (bC - bX) / (bC - bA);
    q = (kB - kX) / (kB - kA);
    
    
    fX = q*p*fA + (1-q)*p*fB + q*(1-p)*fC + (1-q)*(1-p)*fD;
    
                        
end
